{% set PageTitle = "Components" %}

{% extends "master.html" %}

{% block NavBreadcrumb %}
<script>
	window.addEventListener('load', function(){
	ReactDOM.render(React.createElement(Components.Breadcrumb, {
      items: [
          { label: "Components",   url: "components.html" },
          { label: "Individual",   url: "" }
      ]
	}), document.getElementById("breadcrumb"));
})
</script>
{% endblock %}

{% block styles %}
{% endblock %}

{% block main %}
	<style>
		.item
		{
			margin-top : 20px;
		}
	</style>
	<div class="container">
		<div id="notification" class="item"></div>
		<div id="notificationdetail" class="item"></div>
		<div id="notificationdetail-warning" class="item"></div>
		<div id="iconlist" class="ite,"></div>
		<div id="contact" class="item box box--alt"></div>
		<div id="contact-b" class="item box box--alt"></div>
		<div id="contactcard" class="item"></div>
	</div>
{% endblock %}

{% block scripts %}
	<script>
		window.addEventListener('load', function(){
	ReactDOM.render(React.createElement(Components.Notification, {
		type : 'warning',
		title : `Affected by volcanic eruption in Bali`,
		link : `<a href="#">Read more</a>`
    }), document.getElementById("notification"));

    ReactDOM.render(React.createElement(Components.NotificationDetail, {
		type : '',
		title : `Monarch cease trading`,
		content : `<p>What you need to know about cancellation and compensation if you're travelling or booked with Monarch</p>`,
		link : `<a href="#">Read more</a>`
    }), document.getElementById("notificationdetail"));

    ReactDOM.render(React.createElement(Components.NotificationDetail, {
		type : 'warning',
		title : `Monarch cease trading`,
		content : `<p>What you need to know about cancellation and compensation if you're travelling or booked with Monarch</p>`,
		link : `<a href="#">Read more</a>`
    }), document.getElementById("notificationdetail-warning"));

    ReactDOM.render(React.createElement(Components.IconList, {
		items : [
			{
				icon : '<img src="dist/images/cms/icon-pound.png" />',
				link : '<a href="faq-answer.html">Make a claim</a>'
			},
			{
				icon : '<img src="dist/images/cms/icon-pound.png" />',
				link : '<a href="faq-answer.html">Enquire about an existing claim</a>'
			}
		]
    }), document.getElementById("iconlist"));

    ReactDOM.render(React.createElement(Components.Contact, {
		tel	 : '01234 621 537',
		opening : '<p>Lines open <b>24 hours</b>, 7 days a week</p>',
		info : 'Calls may be recorded and/or monitored for training and audit purposes.'
    }), document.getElementById("contact"));

    ReactDOM.render(React.createElement(Components.Contact, {
		title : `Medical Emergencies`,
		tel	 : '01234 621 537',
		telAlt : '+44 1243 621 537',
		telAltIntro : 'From abroad:',
		opening : '<p>Lines open <b>24 hours</b>, 7 days a week</p>',
		info : 'Calls may be recorded and/or monitored for training and audit purposes.'
    }), document.getElementById("contact-b"));

    ReactDOM.render(React.createElement(Components.ContactCard, {
		title : 'Press Contact',
		name : 'Jonathan Sellors',
		position : 'Head of Corporate Communications',
		email : '<a href="mailto:jon.sellors@lv.com">jon.sellors@lv.com</a>',
		tel	 : '020 7634 4447',
		mobile : '07777 7777 777'
		}), document.getElementById("contactcard"));
	})
	</script>
{% endblock %}

{% block header %}
<script>
		window.addEventListener('load', function(){
  ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
    desktopImage:{
			html:'<img src="dist/images/placeholder/bg__d_Investment.jpg" alt="" />',
			src:'dist/images/placeholder/bg__d_Investment.jpg',
			altText:'alt text goes here'
		},
		mobImage:{
			html:'<img src="dist/images/placeholder/bg__m_Travel.jpg" alt="" />',
			src:'dist/images/placeholder/bg__m_Travel.jpg',
			altText:'alt text goes here'
		},
    label:"Components",
    labelLink:'',
    headline:"Front-end Components",
	}), document.getElementById("HeaderBanner"));
})
</script>
{% endblock %}

{% block FloatingActionButton %}{% endblock %}

